Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Print dialog and printer manager for XFce 4.
Name: 		xfprint
Version: 	4.4.2
Release: 	2
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	glib >= 2.2.0
Requires:	libxfcegui4 >= 4.4.0
Requires:	libxfce4util >= 4.4.0
Requires:	libxfce4mcs >= 4.4.0
Requires:	xfce-mcs-manager >= 4.4.0
Requires:	a2ps
BuildRequires: 	glib-devel >= 2.2.0
BuildRequires: 	libxfcegui4-devel >= 4.4.0
BuildRequires:	libxfce4util-devel >= 4.4.0
BuildRequires:	libxfce4mcs-devel >= 4.4.0
BuildRequires:	xfce-mcs-manager-devel >= 4.4.0
BuildRequires:	a2ps e2fsprogs-devel
BuildRequires:	cups-devel gnutls-devel libtasn1-devel libgcrypt-devel libgpg-error-devel

%description
xfprint contains a print dialog and a printer manager for the XFce 4 Desktop Environment,
it supports CUPS, BSD-LPR and file as printing destination.

%package devel
Summary:        Development files for xfprint
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for the printer manager of XFce 4.


%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/xfce4
%_datadir/icons
%_datadir/gtk-doc
%_libdir/*.so.*
%_libdir/xfce4

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.a
%_libdir/*.so
%_libdir/pkgconfig
%_includedir

%changelog
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-2
- rebuilt against gnutls 2.2.2
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
